petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMShellSetCoarsen

Set the routine used to coarsen the shell DM

### Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMShellSetCoarsen(DM dm, PetscErrorCode (*coarsen)(DM,MPI_Comm,DM*))

Logically Collective on DM

Input Arguments

| dm | - the shell DM
| coarsen | - the routine that coarsens the DM

### See Also

DMShellSetRefine(), DMCoarsen(), DMShellSetContext(), DMShellGetContext()

### Level

advanced

### Location

src/dm/impls/shell/dmshell.c

### Examples

src/ksp/ksp/examples/tutorials/ex65.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages